{% extends 'news/menu.html' %}
{% if tag %}
  {% block title %}{{ tag }} Новости{% endblock %}
  {% load django_bootstrap_breadcrumbs %}
  {% block breadcrumbs %}
    {{ block.super }}
    {% if tag %}{% breadcrumb tag "news:tag" tag.slug %}{% endif %}
  {% endblock %}
{% endif %}
{% block posts %}
  {% if posts_list %}
    <div class="container" id="cards">
      {% for post in posts_list %}
        <div class="card" style="width: 100%;">
          <div class="card-body">
            <h6 class="card-subtitle mb-2 text-muted">{{ post.pub_date_time|date:'d.m.y' }}</h6>
            {% if post.tags.all|length > 0 %}
              {% for tag in post.tags.all %}
                <a href="/news/tag/{{ tag.slug }}" class="badge badge-success">{{ tag }}</a>
              {% endfor %}
            {% endif %}
            <a href="{% url 'news:post' post.slug %}"><h4 class="card-title">{{ post.title }}</h4></a>
          </div>
        </div>
      {% endfor %}
      {% else %}
      <p>Новостей нет</p>
    </div>
  {% endif %}
{% endblock %}
